
body, html {
    font-size: var(--basesize);
    margin: 0;
    padding: 0;
    width: 100%;
    min-height: 100%;
    font-family: var(--font-type);
    background: var(--white);
    overflow-x: hidden; 
    scrollbar-width: none;
}

body::-webkit-scrollbar {
    display: none;
}

.header-container {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    height: 3.25rem;
    width: 90%;
    max-width: 40rem;
    margin: 0 auto;
    margin-bottom: 1rem;
    padding-bottom: 0.25rem;

    border-radius: 12px;
}

.title-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.logo-COP {
    height: 28px;
    margin-left: 24px;
}
.portal-title {
    font-size: var(--md);
    font-weight: var(--big-bold);
    color: var(--cop-green);
}
.pacientes-title {
    font-size:var(--lg);
    font-weight: var(--big-bold);
    color: var(--cop-red)
}
.logo-cloud {
    height: 28px;
    margin-right: 30px;
    cursor: pointer;
}

.container {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    width: 90%;
    max-width: 600px;
    margin: 80px auto; /* Asegura que se respete el margen superior */
    padding-bottom: 16px; /* Espacio adicional para evitar solapamiento al final */
    overflow: visible;
}

.input-dni-container {
    display: flex;
    flex-direction: column;
    justify-content: center; 
    align-items: center;
    margin: 0 auto;
    width: 90%;
    border-radius: 12px;
}
.register-title {
    font-size: var(--xxl);
    font-weight: var(--bold);
    color: var(--cop-green);
    align-self: center;
    margin-left: 18px;
    margin-bottom: 24px;
    margin-top: 24px;
}
.section-title {
    font-size: var(--sm);
    font-weight: var(--big-bold);
    color: var(--grey-title);
    align-self: flex-start;
    margin-bottom: 22px;
    margin-top: 12px;
}
.field-note {
    font-size: var(--sm);
    font-weight: var(--bold);
    color: var(--grey-light-text);
    align-self: flex-end;
    margin-bottom: 22px;
    margin-top: 12px;
}
.drag-drop-area {
    position: relative;
    border: 2px solid var(--cop-yellow);
    border-radius: 12px;
    padding: 20px;
    background-color: transparent;
    text-align: center;
    height: 160px; 
    max-width: 800px;
    width: 90%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: 0 auto;
}
.drag-drop-area::before {
    content: "";
    position: absolute;
    top: 10%;
    left: 5%;
    width: 90%;
    height: 80%;
    border: 1px dashed var(--cop-yellow);
    border-radius: 8px;
    pointer-events: none;
}
.drag-drop-area:hover {
    background-color: rgba(255, 220, 220, 0.3);
    border-color: var(--cop-red);
    transform: scale(1.02); /* Efecto de zoom ligero */
    transition: transform 0.3s ease, background-color 0.3s ease;
}
.drag-drop-area.drag-over {
    border-color: var(--cop-red);
    background-color: rgba(255, 220, 220, 0.3); /* Efecto al arrastrar */
    animation: pulse 1s infinite; 
}
@keyframes pulse {
    0%, 100% {
        transform: scale(1);
    }
    50% {
        transform: scale(1.03);
    }
}
.drag-drop-instructions {
    z-index: 2;
    color: var(--grey-dark-text);
    font-size: var(--sm);
    font-weight: var(--normal);
    text-align: center;
    margin-bottom: 16px;
}
.upload-button {
    background-color: var(--cop-yellow);
    border: none;
    border-radius: 50%;
    padding: 16px;
    cursor: pointer;
    transition: transform 0.2s ease, background-color 0.2s ease;
}
.upload-button:hover {
    background-color: var(--button-cop-lightred);
    transform: translateY(-2px);
}
.camera-icon {
    height: 32px;
    width: 32px;
}
.input-file {
    display: none;
}
.error-message {
    color: var(--cop-red);
    font-weight: var(--bold);
    font-size: var(--sm);
    margin-top: 8px;
    display: none;
}
.error-message.active {
    display: block; /* Mostrar cuando haya error */
}
.hidden {
    display: none !important;
}
.form {
    width: 90%;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: stretch;
    overflow: visible;
    margin-bottom: 16px;
}
.labels-container {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 100%;
}
.text-labels {
    position: absolute;
    top: -8px;
    left: 16px;
    background: white;
    padding: 0 4px;
    font-size: var(--sm);
    font-weight: var(--bold);
    color: var(--grey-light-text);
    transition: all 0.3s ease;
    pointer-events: none;
}

input:-webkit-autofill {
    -webkit-box-shadow: 0 0 0px 1000px white inset; 
    box-shadow: 0 0 0px 1000px white inset;
    -webkit-text-fill-color: #000000;
}

.input-container {
    position: relative;
    width: 100%;
    margin-bottom: 28px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center; 
}
.date-input-container {
    position: relative;
    width: 82px;
    margin-bottom: 33px;
    display: flex; 
    justify-content: center;
    align-items: center; 
}
.input-form {
    font-family: var(--font-type);
    border: 1px solid var(--grey-light-text);
    border-radius: 10px;
    height: 52px;
    width: 100%;
    font-size: var(--md);
    font-weight: var(--bold);
    color: var(--main-text);
    padding-left: 12px;
    box-sizing: border-box;
    background-color: transparent;
}
.input-form:focus { 
    outline: none;
    border: 2px solid var(--cop-yellow);
}
.input-form:focus + .text-labels,
.input-form:not(:placeholder-shown) + .text-labels {
    top: -8px;
    font-size: var(--xs); 
    color: var(--cop-yellow);
}

.input-form,
.input-digit {
    caret-color: var(--cop-yellow);
}

.birthdate-container {
    display: flex;
    justify-content:center;
    align-items:center;
    gap: 12px;
    margin-bottom: 8px;
}
.input-digit {
    font-family: var(--font-type);
    border: 1px solid var(--grey-light-text);
    border-radius: 10px;
    text-align: center;
    height: 52px;
    width: 80px;
    font-size: var(--md);
    font-weight: var(--bold);
    color: var(--main-text);
    box-sizing: border-box;
    background-color: transparent;
    position: relative; 
}
.input-digit:focus {
    outline: none;
    border: 2px solid var(--cop-yellow);
}

.input-digit:focus + .text-labels-digit,
.input-digit:not(:placeholder-shown) + .text-labels-digit {
    top: -8px;
    font-size: var(--xs);
    color: var(--cop-yellow);
}

.input-form[readonly] {
    border: 1px solid var(--grey-light-text); 
    color: var(--grey-dark-text);
    cursor: not-allowed;
}

/* Evita que el campo readonly reaccione al focus */
.input-form[readonly]:focus {
    border: 1px solid var(--grey-light-text); /* Mantener el estilo bloqueado */
    outline: none;
}

.text-labels-digit {
    position: absolute;
    top: -8px;
    left: 50%; 
    transform: translateX(-50%);
    background: white;
    padding: 0 4px;
    font-size: var(--sm);
    font-weight: var(--bold);
    color: var(--grey-light-text);
    transition: all 0.3s ease;
    pointer-events: none;
    width: 24px;
    text-align: center;
    z-index: 1;
}

.sex-container {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 16px;
    margin-bottom: 16px;
}

.sex-button {
    font-family: var(--font-type);
    border: 1px solid var(--very-light-background);
    border-radius: 10px;
    background-color: transparent;
    color: var(--main-text);
    height: 42px;
    width: 100px;
    font-size: var(--sm);
    font-weight: var(--bold);
    text-align: center;
    cursor: pointer;
    transition: all 0.3s ease;
}

.sex-button.active {
    background-color: var(--cop-yellow);
    color: var(--white);
    border: 1px solid var(--cop-yellow);
}

.sex-button:hover {
    background-color: var(--cop-yellow);
    color: var(--white);
}
.register-button {
    background-color: var(--button-cop-red);
    border-radius: 10px;
    border: none;
    color: var(--white);
    cursor: pointer;
    font-size: var(--md);
    font-weight: var(--big-bold);
    height: 52px;
    font-family: inherit;
}
.register-button:active {
    background-color: var(--button-cop-lightred);
    transform: translateY(2px);
}
.register-button:hover {
    background-color: var(--button-cop-lightred);
    transform: translateY(2px); 
}

.menu-labels {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    background-color: var(--bg-body);
    height: 52px;
    padding: 0 10px;
    font-size: var(--md);
    color: var(--grey-light-text);
    cursor: pointer;

}
.menu-labels select {
    flex: 1;
    color: var(--normal-text);
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
}


#otpContainer {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 90%;
    margin: 0 auto;
    padding: 16px 0;

    border-radius: 12px;
    background-color: var(--background-light); /* Fondo claro */
}

#otpContainer .section-title {
    font-size: var(--sm);
    font-weight: var(--big-bold);
    color: var(--grey-title);
    margin-bottom: 16px;
}

#otpContainer p {
    font-size: var(--sm);
    color: var(--grey-dark-text);
    text-align: center;
    margin-bottom: 20px;
}

#otp {
    font-family: var(--font-type);
    border: 1px solid var(--grey-light-text);
    border-radius: 10px;
    height: 76px;
    width: 140px;
    text-align: center;
    font-size: var(--xxxl);
    font-weight: var(--bold);
    color: var(--main-text);
    padding-left: 12px;
    box-sizing: border-box;
    background-color: transparent;
}

#otp:focus {
    outline: none;
    border: 2px solid var(--cop-yellow);
}

#otpErrorMessage {
    color: var(--cop-red);
    font-weight: var(--bold);
    font-size: var(--sm);
    margin-top: 12px;
    display: none;
}

#verifyOtpButton {
    font-family: var(--font-type);
    font-size: var(--md);
    font-weight: var(--big-bold);
    color: var(--white);
    background-color: var(--cop-red);
    border: none;
    border-radius: 10px;
    padding: 12px 24px;
    cursor: pointer;
    text-align: center;
    width: 100%;
    transition: background-color 0.3s ease;
}

#verifyOtpButton:hover {
    background-color: var(--button-cop-lightred);
    transform: translateY(2px);
}

.confirmation-title {
    font-size: var(--xl);
    font-weight: var(--big-bold);
    color: var(--cop-green);
    text-align: center;
    margin-top: 48px;
    margin-bottom: 24px;
}

.confirmation-text {
    font-size: var(--md);
    font-weight: var(--bold);
    color: var(--grey-dark-text);
    text-align: center;
    margin-bottom: 24px;
}

.redirect-text {
    font-size: var(--sm);
    color: var(--grey-light-text);
    text-align: center;
    margin-bottom: 24px;
}

.small-button {
    background-color: var(--button-cop-yellow);
    border: none;
    color: var(--white);
    font-size: var(--sm);
    font-weight: var(--bold);
    height: 48px;
    padding: 6px 24px;
    border-radius: 24px;
    cursor: pointer;
    margin: 0 auto;
    display: block;
    font-family: inherit;
}

.small-button:hover {
    background-color: var(--button-cop-lightred);
    transform: translateY(2px);
}
.plus-button {
    background-color: var(--button-cop-yellow);
    border: none;
    color: var(--white);
    font-size: var(--xl);
    font-weight: var(--bold);
    height: 42px;
    width: 42px;
    border-radius: 50%;
    cursor: pointer;
    display: block;
    font-family: inherit;
    display: flex;
    align-items: center;
    justify-content: center;
}

.plus-button:hover {
    background-color: var(--button-cop-lightyellow);
    transform: translateY(2px);
}

.entity-wrapper {
    display: flex;
    gap: 10px;
    align-items: center;
    margin-bottom: 10px;
}

.entity-select, .plan-select {
    flex: 1;
    height: 42px; /* Ajuste del tamaño */
    font-size: var(--sm); /* Tamaño de texto más pequeño */
    color: var(--main-text); /* Texto normal */
}

.entity-select::placeholder,
.plan-select::placeholder {
    color: var(--grey-light-text); /* Placeholder más claro */
}

.add-entity-container {
    display: flex;
    align-items: center;
    gap: 5px;
    margin-top: 10px;
}

.add-entity-text {
    font-size: var(--sm);
    color: var(--grey-light-text); /* Texto pequeño y gris */
    font-weight: var(--bold);
}

.remove-button {
    background-color: var(--button-verylightred);
    color: var(--button-cop-red);
    border: none;
    border-radius: 50%; /* Botón redondo */
    width: 32px; /* Tamaño adecuado */
    height: 32px;
    font-size: var(--md);
    font-weight: bold;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}
.remove-button:hover {
    background-color: var(--button-cop-lightred);
    transform: translateY(2px); 
}